<?php

namespace App\Filament\Resources\Horaires;

use App\Filament\Resources\Horaires\Pages\CreateHoraire;
use App\Filament\Resources\Horaires\Pages\EditHoraire;
use App\Filament\Resources\Horaires\Pages\ListHoraires;
use App\Filament\Resources\Horaires\Schemas\HoraireForm;
use App\Filament\Resources\Horaires\Tables\HorairesTable;
use App\Models\Horaire;
use BackedEnum;
use Filament\Resources\Resource;
use Filament\Schemas\Schema;
use Filament\Support\Icons\Heroicon;
use Filament\Tables\Table;

class HoraireResource extends Resource
{
    protected static ?string $model = Horaire::class;

    protected static string|BackedEnum|null $navigationIcon = Heroicon::OutlinedRectangleStack;

    public static function form(Schema $schema): Schema
    {
        return HoraireForm::configure($schema);
    }

    public static function table(Table $table): Table
    {
        return HorairesTable::configure($table);
    }

    public static function getRelations(): array
    {
        return [
            //
        ];
    }

    public static function getPages(): array
    {
        return [
            'index' => ListHoraires::route('/'),
            'create' => CreateHoraire::route('/create'),
            'edit' => EditHoraire::route('/{record}/edit'),
        ];
    }
}
